Player audio HTML5 sur Free.fr [Résolu]

Ben314 2285 Messages postés lundi 12 décembre 2011Date d'inscription 1 mai 2017 Dernière intervention - 24 nov. 2015 à 05:57 - Dernière réponse : dariumis 570 Messages postés mardi 16 mars 2010Date d'inscription 26 novembre 2017 Dernière intervention
- 26 nov. 2015 à 19:05
Bonjour la communauté,

Je viens de découvrir ce sympathique player HTML5 ici :
>> http://codes-sources.commentcamarche.net/source/100827-playlist-avec-les-balises-html5-audio

J'Herberge mon site perso chez Free.

Sans l'avoir modifié, quand j'essaie d'accéder au player j'ai de suite une erreur :
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /mnt/169/sda/2/a/xxxxxxxxxxxxxxxxx/test/Htm5Playlist/PlayList.php on line 17

Est ce que ça vient d'un probléme lié à l'hergement ??
Ou j'aurais du modifier quelquechose ??

Merci d'avance pour vos contribution.
Afficher la suite 

4 réponses

Répondre au sujet
le père. 6002 Messages postés mardi 15 mai 2012Date d'inscription 14 janvier 2018 Dernière intervention - 24 nov. 2015 à 23:20
+1
Utile
Bonjour

C'est un problème de version de PHP.
Ton script est fait pour PHP5 alors que chez Free, ton site est probablement en PHP4. Il faut ajouter un fichier .htaccess pour le passer en PHP5
Tant qu'à faire, passe directement à la V5.6 :
http://er.v.free.fr/index.php/free-va-passer-de-ph5-1-a-php5-6-confirmer/
Cette réponse vous a-t-elle aidé ?  
Commenter la réponse de le père.
Ben314 2285 Messages postés lundi 12 décembre 2011Date d'inscription 1 mai 2017 Dernière intervention - Modifié par Ben314 le 25/11/2015 à 13:08
0
Utile
Bonjour et merci de ta réponse.

J'ai fait comme dit sur le lien...
Alors ça évolue, maintenant l'erreur se produit un peu plus loin ^^

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /mnt/169/sda/2/a/xxxxxxxxxxxxxxxxx/test/Htm5Playlist/PlayList.php on line 24

Ya peu être un délai pour que sa s'active ??
EDIT ouais ya un délai, mon phpinfo indique que j'suis encore en 4.4.3... verra demain...
Commenter la réponse de Ben314
Ben314 2285 Messages postés lundi 12 décembre 2011Date d'inscription 1 mai 2017 Dernière intervention - 26 nov. 2015 à 11:55
0
Utile
1
Youyou ça fonctionne merci beaucoup :)
dariumis 570 Messages postés mardi 16 mars 2010Date d'inscription 26 novembre 2017 Dernière intervention - 26 nov. 2015 à 19:05
Cool, ça me fait plaisir :).
Commenter la réponse de Ben314

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.